.header {
    background-image: url('../img/placeholder.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.header__wrapper {
    border-bottom: 1px solid #FFF;
}

.header__logo img,
.header__logo svg {
    width: clamp(65px, 5.7vw, 84px);
    height: auto;
    display: block;
}

.header__wrapper--sticky {
    position: fixed;
    top: 0;
    width: 100%;
    background: var(--Dark, #131313);
    z-index: 99;
    border-color: var(--color-optional);
    transition: all 0.5s ease;
}

.header__wrapper--sticky + .header__banner {
    padding-top: 132px;
  }

.header__container {
    max-width: 1460px;
    display: flex;
    align-items: center;
    gap: 48px;
    justify-content: space-between;
    padding: 28px 0;
}

.header__btn {
    white-space: pre;
}

.header-menu .header__btn {
    display: none;
}

.header-menu__icon .btn-cl {
    display: none;
}

.header-menu.responsive .btn-cl {
    display: block;
}

.header-menu.responsive .btn-op {
    display: none;
}

.btn-cl, 
.btn-op {
    width: 40px;
    height: 40px;
}


@media screen and (max-width: 1600px) {
    .header__container {
        gap: 60px;
        justify-content: center;
    }

    .header-menu {
        max-width: 485px;
        flex-wrap: wrap;
        gap: 12px 20px;
    }
}

@media screen and (max-width: 1200px) {
    .header__container {
        padding: 16px 36px;
        gap: 36px;
        position: relative;
        justify-content: flex-start;
        background: var(--color-dark);
    }

    .header__wrapper {
        border-color: var(--color-dark);
    }

    .header__logo {
        order: 2;
        margin-right: auto;
    }

    .header-menu {
        order: 3;
    }

    .header-menu.responsive {
        position: absolute;
        top: calc(100% + 1px);
        padding: 28px 16px;
        background: var(--color-dark);
        left: 0;
        right: 0;
        min-width: calc(100% + 0px);
    }

    .header-menu__icon {
        display: block;
        width: 40px;
        height: 40px;
    }

    .header-menu.responsive .header-menu__icon {
        position: absolute;
        right: 36px;
        top: -62px;
    }

    .header__wrapper--sticky + .header__banner {
        padding-top: 83px;
    }
}

@media screen and (max-width: 650px) {
    .header__btn {
        display: none;
    }

    .header__container {
        padding: 16px;
    }

    .header-menu.responsive {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;
        padding: 16px;
        z-index: 99;
    }

    .header-menu.responsive .header__btn {
        display: block;
        width: 100%;
        text-align: center;
    }

    .header-menu__icon,
    .header-menu.responsive .header-menu__icon {
        right: 16px;
        top: -56px;
    }

    .header__wrapper--sticky + .header__banner {
        padding-top: 132px;
      }
}